using FluentValidation;
using Indotalent.Shared.Consts;

namespace Indotalent.Features.Utilities.BookingResource.Cqrs;

public class CreateBookingResourceValidator : AbstractValidator<CreateBookingResourceRequest>
{
    public CreateBookingResourceValidator()
    {
        RuleFor(x => x.Name)
            .NotEmpty().WithMessage("Name is required")
            .MaximumLength(GlobalConsts.StringLengthShort);

        RuleFor(x => x.BookingGroupId)
            .NotEmpty().WithMessage("Booking Group is required");
    }
}